<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title'] = 'Топ 10 авторитетов'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
aut();


$q = mysql_query("SELECT id, avtoritet FROM `user` WHERE `avtoritet` > '0' ORDER BY `avtoritet` DESC LIMIT 10");

echo '<table class="post">';

if (mysql_num_rows($q) == 0)
{
	echo '<div class="mess">';
	echo 'В топе авторитетов пока никто не учавствует';
	echo '</div>';
}

while ($ank = mysql_fetch_assoc($q))
{
	// Лесенка
	echo '<div class="' . ($num % 2 ? "nav1" : "nav2") . '">';
	$num++;

	echo user::avatar($ank['id'], 0) . user::nick($ank['id'], 1, 1, 1) . ' <br />';
	
	// Авторитет
	echo '<div style="color: #4e4e4e"><img src="/style/avtoritet/a8.png" alt="*" />Авторитет [' . $ank['avtoritet'] . ' очков]</div>'; 

	if ($ank['avtoritet'] > 0)
	echo '<div>' . star($ank['avtoritet']) . '</div>'; 

	echo '</div>';
}
echo '</table>';


if (isset($user))
{
	echo '<div class="nav1">';
	echo '<img src="/style/avtoritet/a1.png" alt="*"/> <a href="/user/avtoritet.php">Повысить свой авторитет</a>';
	echo '</div>';	
}


echo '<div class="nav1">';
echo '<img src="/style/avtoritet/a1.png" alt="*"/> <a href="/user/top2.avtoritet.php">Топ 10 за неделю</a>';
echo '</div>';

include_once '../sys/inc/tfoot.php';
?>